import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.image.*;
/**
 * This is gonna keep track of the grid
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Grid
{
    char theGrid[][] = new char[3][3];
    
    public Grid()
    {
        //just for practice
        theGrid[0][0]= ' ';     theGrid[1][0]='O';       theGrid[2][0]= 'X';
        theGrid[0][1]= 'X';     theGrid[1][1]=' ';       theGrid[2][1]= ' ';
        theGrid[0][2]= 'O';     theGrid[1][2]='X';       theGrid[2][2]= ' ';

    }
    
    //returns win, lose, tie, undecided
    public String gameStatus()
    {
        return "undecided";  
    }
    
   //Test Method to print out the board in console
    //I put this in for testing purposes
    public void printGrid()
    {
        for (int r=0;r<3;r++)
        {
            for (int c=0;c<3;c++)
                System.out.print(theGrid[c][r]);
            System.out.println();
        }
    }

    //draws the board and grid    
    public void drawGrid(Graphics g)
    {
        //temporary:
        //below is for testing purposes
        for (int r=0;r<3;r++)
            for (int c=0;c<3;c++)
                g.drawString(theGrid[r][c]+"",c*50+20,r*50+50);
    }
    
    public boolean makeUserMove(int mouseX, int mouseY)
    {
         //below is for testing purposes
        //this just throughs an X any where that is empty
        int r=findRandom(0,2);
        int c=findRandom(0,2);
        if (theGrid[r][c]==' ')
        {
            theGrid[r][c]='X';
            return true;
        }
        else return makeUserMove(mouseX,mouseY);
    }
     
       public int findRandom (int start, int end)
    {
        int multiplier = end-start+1;
        int random = (int) (Math.random()*multiplier)+start;
        return random;
    }

    public Color findRandomColor ()
    {
        int red= (int)(256 * Math.random());
        int green= (int)(256 * Math.random());
        int blue= (int)(256 * Math.random());
        Color randomColor=new Color(red,green,blue);
        return randomColor;
    } 
}
